Subject: bug#64619: [PATCH] Add toggle-window-dedicated command

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Aug 2023 18:31:44 +0300

> From: [email-masked]
> Date: Sun, 20 Aug 2023 14:09:35 +0000 (UTC)
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked],
> 	[email-masked], [email-masked], [email-masked]
> 
> Completely separate suggestion and possible resolution: Maybe we can
> have two commands, one which does weak dedication and the other strong
> dedication?

That'd be overkill, IMO.  The single command is already borderline
(since dedicated windows were not introduced as an interactive
feature, but rather as a means for Lisp programs to control
display-buffer's otherwise "wild West" type behavior).  Having two
commands is completely overboard.  Let's not take this ad absurdum.

(Of course, you can always have a special command in your local init
file, if you need them both.  Here we are talking about what the
majority of Emacs users will need.)